package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.PromoAccount;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-21
 * @description : 推广账号查询参数
 */
@Data
public class PromoAccountListParam extends BasePage<PromoAccount> {

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    private Long mediaId;

    /**
     * 推广账号类型
     */
    @ApiModelProperty(notes = "推广账号类型")
    private Integer accountType;

    /**
     * 推广账号id
     */
    @ApiModelProperty(notes = "推广账号id")
    private String account;

    /**
     * 推广账号名称
     */
    @ApiModelProperty(notes = "推广账号名称")
    private String name;

    /**
     * 投手项目组
     */
    @ApiModelProperty(notes = "投手项目组")
    private String pitcherGroupId;

    /**
     * 投手id
     */
    @ApiModelProperty(notes = "投手id")
    private String pitcherId;

    /**
     * 状态, 0 : 投放中, 1: 待投放
     */
    @ApiModelProperty(notes = "状态, 0 : 投放中, 1: 待投放")
    private Integer status;
}
