package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-01-12
 * @description : 支付方式
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_pay_device")
public class PayDevice {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 支付方式
     */
    private String payDeviceKey;

    /**
     * 名称
     */
    private String payDeviceName;

    /**
     * 删除状态 1 已删除 0 正常
     */
    private Boolean isDelete;

    /**
     * 状态 1 不可用 0正常
     */
    private Boolean status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}