package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.GamePayWay;
import com.zanxiang.sdk.domain.dto.GamePayWayDTO;
import org.springframework.stereotype.Component;

/**
 * @author xufeng
 * @date 2022/6/13 11:27
 */
@Component
public interface GamePayWayService extends IService<GamePayWay> {

    /**
     * 通过主键id查询
     *
     * @param id id
     * @return {@link GamePayWayDTO}
     */
    GamePayWayDTO getById(Long id);

    /**
     * 获取游戏支付配置
     *
     * @param gameId      游戏id
     * @param payWayId    支付方式id
     * @param payDeviceId 支付设备id
     * @return {@link GamePayWayDTO}
     */
    GamePayWayDTO getGamePayWay(Long gameId, Long payWayId, Long payDeviceId);
}
