package com.zanxiang.sdk.service.Impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.exception.BaseException;
import com.zanxiang.mybatis.entity.PayBox;
import com.zanxiang.mybatis.mapper.PayBoxMapper;
import com.zanxiang.sdk.domain.dto.PayMerchantDTO;
import com.zanxiang.sdk.service.PayBoxService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

/**
 * 支付盒子 服务实现类
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */
@Component
@Slf4j
@Service
public class PayBoxServiceImpl extends ServiceImpl<PayBoxMapper, PayBox> implements PayBoxService {

    /**
     * 根据盒子id查询商户信息
     */
    public PayMerchantDTO getMerchantByBoxId(Long payBoxId) {
        PayBox payBox = super.getById(payBoxId);
        if (payBox == null) {
            log.error("参数错误, 支付盒子信息不存在, payBoxId : {}", payBoxId);
            throw new BaseException("参数错误, 支付盒子信息不存在");
        }
        //查询盒子绑定的商户
        return null;
    }
}
