package com.zanxiang.sdk.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.exception.BaseException;
import com.zanxiang.module.util.bean.BeanUtil;
import com.zanxiang.mybatis.entity.PayMerchant;
import com.zanxiang.mybatis.mapper.PayMerchantMapper;
import com.zanxiang.sdk.domain.dto.PayMerchantDTO;
import com.zanxiang.sdk.service.PayMerchantService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 游戏支付商户配置表 服务实现类
 *
 * @author xufeng
 * @date 2022-06-16 19:04
 */
@Slf4j
@Service
public class PayMerchantServiceImpl extends ServiceImpl<PayMerchantMapper, PayMerchant> implements PayMerchantService {

    @Override
    public PayMerchantDTO getByMerchantNo(String merchantNo) {
        PayMerchant payMerchant = super.getOne(new LambdaQueryWrapper<PayMerchant>()
                .eq(PayMerchant::getMerchantNo, merchantNo));
        if (payMerchant == null) {
            log.error("参数错误, 商户信息不存在, merchantNo : {}", merchantNo);
            throw new BaseException("参数错误, 商户信息不存在");
        }
        return BeanUtil.copy(payMerchant, PayMerchantDTO.class);
    }
}
