package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.common.domain.ResultMap;
import com.zanxiang.mybatis.entity.PayApplication;
import com.zanxiang.sdk.domain.dto.PayApplicationDTO;
import com.zanxiang.sdk.domain.params.MiniAppPayParam;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 支付商城小程序
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
public interface PayApplicationService extends IService<PayApplication> {

    /**
     * 获得支付应用程序
     *
     * @param appId 应用程序id
     * @return {@link PayApplicationDTO}
     */
    PayApplicationDTO getPayApplication(String appId);

    /**
     * 迷你应用程序支付
     *
     * @param payParam 支付参数
     * @param request  请求
     * @return {@link ResultMap}
     */
    ResultMap appletStorePay(MiniAppPayParam payParam, HttpServletRequest request);

    /**
     * applet通知
     *
     * @param request  请求
     * @param response 响应
     * @return {@link String}
     * @throws IOException ioexception
     */
    String appletStoreNotify(HttpServletRequest request, HttpServletResponse response) throws IOException;
}
